Create new service
Creates a new service in the organization, and returns the current service state and a password to access the service. The service is started asynchronously.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that will own the service.
Body
Name of the service. Alphanumerical string with whitespaces up to 50 characters.
1 - 50Cloud provider
aws, gcp, azure Service region.
ap-northeast-1, ap-northeast-2, ap-south-1, ap-southeast-1, ap-southeast-2, ca-central-1, eu-central-1, eu-west-1, eu-west-2, il-central-1, us-east-1, us-east-2, us-west-2, us-east1, us-central1, europe-west2, europe-west4, asia-southeast1, asia-northeast1, eastus, eastus2, westus3, germanywestcentral, centralus DEPRECATED for BASIC, SCALE and ENTERPRISE organization tiers. Use minReplicaMemoryGb, maxReplicaMemoryGb, and numReplicas instead. Tier of the service: 'development', 'production', 'dedicated_high_mem', 'dedicated_high_cpu', 'dedicated_standard', 'dedicated_standard_n2d_standard_4', 'dedicated_standard_n2d_standard_8', 'dedicated_standard_n2d_standard_32', 'dedicated_standard_n2d_standard_128', 'dedicated_standard_n2d_standard_32_16SSD', 'dedicated_standard_n2d_standard_64_24SSD'. Production services scale, Development are fixed size. Azure services don't support Development tier
development, production, dedicated_high_mem, dedicated_high_cpu, dedicated_standard, dedicated_standard_n2d_standard_4, dedicated_standard_n2d_standard_8, dedicated_standard_n2d_standard_32, dedicated_standard_n2d_standard_128, dedicated_standard_n2d_standard_32_16SSD, dedicated_standard_n2d_standard_64_24SSD List of IP addresses allowed to access the service
DEPRECATED - inaccurate for services with non-default numbers of replicas. Use minReplicaMemoryGb instead. Minimum memory of three workers during auto-scaling in Gb. Available only for 'production' services. Must be a multiple of 12 and greater than or equal to 24. Always absent for horizontal-autoscaling services (replica count is variable).
24 <= x <= 1068Must be a multiple of 1248
DEPRECATED - inaccurate for services with non-default numbers of replicas. Use maxReplicaMemoryGb instead. Maximum memory of three workers during auto-scaling in Gb. Available only for 'production' services. Must be a multiple of 12 and lower than or equal to 360 for non paid services or 1068 for paid services. Always absent for horizontal-autoscaling services (replica count is variable).
24 <= x <= 1068Must be a multiple of 12360
Autoscaling mode. "vertical" (the default when omitted) runs a fixed replica count while memory scales between minReplicaMemoryGb and maxReplicaMemoryGb; "horizontal" scales the replica count between minReplicas and maxReplicas at a fixed per-replica memory (minReplicaMemoryGb equal to maxReplicaMemoryGb). Horizontal requires the feature to be enabled for the organization.
vertical, horizontal "vertical"
Minimum total memory of each replica during auto-scaling in Gb. A range in vertical autoscaling; equal to maxReplicaMemoryGb in horizontal (memory is fixed while the replica count scales). Must be a multiple of 4 and greater than or equal to 8.
8 <= x <= 356Must be a multiple of 416
Maximum total memory of each replica during auto-scaling in Gb. A range in vertical autoscaling; equal to minReplicaMemoryGb in horizontal (memory is fixed while the replica count scales). Must be a multiple of 4 and lower than or equal to 120* for non paid services or 356* for paid services.* - maximum replica size subject to cloud provider hardware availability in your selected region.
8 <= x <= 356Must be a multiple of 4120
Fixed replica count for vertical autoscaling (autoscalingMode "vertical" or omitted). Mutually exclusive with minReplicas/maxReplicas.
1 <= x <= 203
Minimum number of replicas. A minReplicas/maxReplicas band scales the replica count in horizontal autoscaling (autoscalingMode "horizontal"). Must be provided together with maxReplicas. Mutually exclusive with numReplicas. Requires horizontal autoscaling to be enabled for the organization, unless autoscalingMode is omitted or "vertical" and minReplicas equals maxReplicas (an equal band is then an accepted vertical fixed count and needs no horizontal entitlement).
1 <= x <= 201
Maximum number of replicas. A minReplicas/maxReplicas band scales the replica count in horizontal autoscaling (autoscalingMode "horizontal"). Must be provided together with minReplicas. Mutually exclusive with numReplicas. Requires horizontal autoscaling to be enabled for the organization, unless autoscalingMode is omitted or "vertical" and minReplicas equals maxReplicas (an equal band is then an accepted vertical fixed count and needs no horizontal entitlement).
1 <= x <= 205
When set to true the service is allowed to scale down to zero when idle. True by default.
Set minimum idling timeout (in minutes). Must be >= 5 minutes.
True if this service is read-only. It can only be read-only if a dataWarehouseId is provided.
Data warehouse containing this service
Optional backup ID used as an initial state for the new service. When used the region and the tier of the new instance must be the same as the values of the original instance.
Optional customer provided disk encryption key
Optional role to use for disk encryption
DEPRECATED. To associate the service with private endpoints, first create the service, then use the Update Service Basic Details endpoint with the privateEndpointIds field to modify private endpoints.
Accept the private preview terms and conditions. It is only needed when creating the first service in the organization in case of a private preview
Select fast if you want to get new ClickHouse releases as soon as they are available. You'll get new features faster, but with a higher risk of bugs. Select slow if you would like to defer releases to give yourself more time to test. This feature is only available for production services. default is the regular release channel.
slow, default, fast This is the ID returned after setting up a region for Bring Your Own Cloud (BYOC). When the byocId parameter is specified, the minReplicaMemoryGb and the maxReplicaGb parameters are required too, with values included among the following sizes: 48, 116, 172, 232.
True if the service should have the Transparent Data Encryption (TDE) enabled. TDE is only available for ENTERPRISE organizations tiers and can only be enabled at service creation.
List of service endpoints to enable or disable
Custom instance profile. Only available for ENTERPRISE organization tiers.
v1-default, v1-highmem-xs, v1-highmem-s, v1-highmem-m, v1-highmem-l, v1-highmem-xl Type of regulatory compliance for service.
hipaa, pci Tags associated with the service.
50Enables the underlying infra for collecting core dumps. Default is enabled.